"use strict";
"use client";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = __importStar(require("react"));
var auto_1 = __importDefault(require("chart.js/auto"));
function LineChart(props) {
    var chartData = props.chartData;
    var chartRef = (0, react_1.useRef)(null);
    (0, react_1.useEffect)(function () {
        var canvas = document.getElementById("myChart");
        if (canvas) {
            var ctx = canvas === null || canvas === void 0 ? void 0 : canvas.getContext("2d");
            if (ctx) {
                if (chartRef.current) {
                    chartRef.current.destroy();
                }
                chartRef.current = new auto_1.default(ctx, {
                    type: "line",
                    data: chartData,
                });
            }
        }
        // Cleanup function to ensure any existing chart is destroyed when component unmounts
        return function () {
            if (chartRef.current) {
                chartRef.current.destroy();
            }
        };
    }, [chartData]);
    return (react_1.default.createElement("div", null,
        react_1.default.createElement("h1", { className: "w-[110px] mx-auto mt-10 text-xl font-semibold capitalize " }, "line Chart"),
        react_1.default.createElement("div", { className: "w-[1100px] h-screen flex mx-auto my-auto" },
            react_1.default.createElement("div", { className: "border border-gray-400 pt-0 rounded-xl  w-full h-fit my-auto  shadow-xl" },
                react_1.default.createElement("canvas", { id: "myChart" })))));
}
exports.default = LineChart;
